#
# spec file for package webkitgtk-sharp
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           webkitgtk-sharp
Version:        2.0.0+git.20141217.fadd308
Release:        2.2
Summary:        WebKitGTK bindings for Mono
License:        LGPL-3.0
Group:          Development/Languages/Mono
Url:            http://www.go-mono.org/
Source:         %{name}-%{version}.tar.xz
Source99:       webkitgtk-sharp-rpmlintrc
BuildRequires:  libtool
BuildRequires:  mono-core
BuildRequires:  pkgconfig(gapi-3.0) >= 2.99.2
BuildRequires:  pkgconfig(gtk-sharp-3.0) >= 2.99.2
BuildRequires:  pkgconfig(mono) >= 1.0
BuildRequires:  pkgconfig(soup-sharp-2.4)
BuildRequires:  pkgconfig(webkitgtk-3.0) >= 2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WebKitGTK is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser. It is made to be embedded
in other applications, such as mail readers, or web browsers.

This package provides Mono bindings for WebKit libraries.

%package devel
Summary:        WebKitGTK bindings for Mono -- Development files
Group:          Development/Languages/Mono
Requires:       %{name} = %{version}

%description devel
WebKitGTK is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser. It is made to be embedded
in other applications, such as mail readers, or web browsers.

%prep
%setup -q

%build
# we don't use autogen.sh, as it forciblu wants to start configure
mkdir -p m4
autoreconf  -i --force --warnings=none -I . -I m4
%configure \
    --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print

%files
%defattr(-,root,root)
%doc COPYING
%{_prefix}/lib/mono/webkitgtk-sharp/
%{_prefix}/lib/mono/gac/webkitgtk-sharp/
%{_libdir}/libwebkitgtksharpglue-1.10.2.so

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/webkitgtk-sharp-3.0.pc
%{_datadir}/gapi-3.0/webkitgtk-sharp-api.xml

%changelog
* Thu May 21 2015 dimstar@opensuse.org
- Add webkitgtk-sharp-rpmlintrc to source list.
* Mon Apr 13 2015 dimstar@opensuse.org
- Update to version 2.0.0+git.20141217.fadd308:
  + Fix tarball folder
  + The assembly is in lib, not lib64
  + Generated files are in subdirs
* Mon Apr 13 2015 dimstar@opensuse.org
- Initial package.
